# gfs_pio_getc

## Name

gfs_pio_getc -- input of a charactor

## Synopsis

    #include <gfarm/gfarm.h>

```int gfs_pio_getc``(GFS_File `gf`);`

## DESCRIPTION

`gfs_pio_getc()` reads the next character from `gf`.

## RETURN VALUES

`EOF`

  `gfs_pio_getc()` encountered end of file or error. `EOF` is defined in <stdio.h>. `gfs_pio_error(3)` is used to know end of file or error.

Others

  `gfs_pio_getc()` returns the next character from the file.

## SEE ALSO

gfs_pio_create(3), gfs_pio_eof(3), gfs_pio_error(3), gfs_pio_open(3), gfs_pio_ungetc(3)